%define	version 0.3.2
%define name ksendfax
%define release 6mdk

Name: %{name}
Summary: KSendFax
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Source1: ksendfax.xpm
Group: Communications
Copyright: GPL
BuildRoot: /var/tmp/%{name}-buildroot
Requires: qt >= 1.42
URL: http://www.sad.it/~jug/ksendfax/

%description
FAX utility for KDE.

%prep
rm -rf $RPM_BUILD_ROOT

%setup 

%build
libtoolize --force
CXXFLAGS="$RPM_OPT_FLAGS -I/usr/include/kde" ./configure --with-install-root=$RPM_BUILD_ROOT --disable-rpath

mkdir -p $RPM_BUILD_ROOT    
make KDEDIR=$KDEDIR all_includes="-I/usr/include -I/usr/include/qt/ -I/usr/X11R6/include"

%install
export KDEDIR=/usr
make prefix=$RPM_BUILD_ROOT install

install -m 644 $RPM_SOURCE_DIR/ksendfax.xpm $RPM_BUILD_ROOT/usr/share/icons/ksendfax.xpm

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/ksendfax <<EOF
?package(ksendfax):\
command="/usr/bin/ksendfax"\
icon="ksendfax.xpm"\
title="Ksendfax"\
longtitle="a fax utility"\
needs="x11"\
section="Applications/Communications"
EOF
)   


%post
## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi   
  
%postun
## menu
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
      /usr/bin/update-menus
  fi
fi  

%clean
rm -rf $RPM_BUILD_ROOT 

%files
%defattr (-,root,root)
/usr/bin/*
%dir /usr/doc/kde/HTML/en/ksendfax
/usr/doc/kde/HTML/en/ksendfax/*
/usr/share/applnk/Graphics/*
%dir /usr/share/apps/ksendfax
%dir /usr/share/apps/ksendfax/toolbar
/usr/share/apps/ksendfax/toolbar/*
/usr/share/icons/mini/*
/usr/share/locale/de/LC_MESSAGES/*
/usr/share/locale/it/LC_MESSAGES/*
/usr/lib/menu/*
/usr/share/icons/ksendfax.xpm

%changelog
* Sun Apr 23 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 0.3.2-6mdk
- fix build for alpha: added "libtoolize --force" (thanks Chmouel!!)

* Wed Apr 05 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.2-5mdk
- merge menu file with spec
- clean spec
- rename icon

* Tue Apr 04 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.2-4mdk
- fix xpm icon

* Wed Mar 22 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.2-3mdk
- disable rpath

* Thu Mar 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.2-2mdk
- clean specfile
- fix files section

* Mon Nov 22 1999 John Corey <jcorey@mandrakesoft.com>
- Rebuild with FHS-2.0 compliance
- v0.3.2 build.

* Mon Jul 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

